summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xadmin/Sources/Clients/ogagent/linux/scripts/ogagent10
1 files changed, 9 insertions, 1 deletions
diff --git a/admin/Sources/Clients/ogagent/linux/scripts/ogagent b/admin/Sources/Clients/ogagent/linux/scripts/ogagent
index 1bcc29b0..155af678 100755
--- a/admin/Sources/Clients/ogagent/linux/scripts/ogagent
+++ b/admin/Sources/Clients/ogagent/linux/scripts/ogagent
@@ -1,6 +1,14 @@
#!/bin/sh
+for p in python python2; do
+ [ -z "$PYTHON" ] && [ $($p -c 'import sys; print(sys.version_info[0])') -eq 2 ] && PYTHON=$p
+done
+if [ -z "$PYTHON" ]; then
+ echo "ERROR: OGAgent needs Python 2" &>2
+ exit 1
+fi
+
FOLDER=/usr/share/OGAgent
cd $FOLDER
-python -m opengnsys.linux.OGAgentService $@
+$PYTHON -m opengnsys.linux.OGAgentService $@